Update Scenario Set
curl --request PUT \
--url https://api.eqho.ai/v1/simulation/scenario-sets/{scenario_set_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"name": "Flight Cancellation Tests",
"description": "Collection of test scenarios for flight cancellation workflows"
}
'import requests
url = "https://api.eqho.ai/v1/simulation/scenario-sets/{scenario_set_id}"
payload = {
"name": "Flight Cancellation Tests",
"description": "Collection of test scenarios for flight cancellation workflows"
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Flight Cancellation Tests',
description: 'Collection of test scenarios for flight cancellation workflows'
})
};
fetch('https://api.eqho.ai/v1/simulation/scenario-sets/{scenario_set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/simulation/scenario-sets/{scenario_set_id}"
payload := strings.NewReader("{\n \"name\": \"Flight Cancellation Tests\",\n \"description\": \"Collection of test scenarios for flight cancellation workflows\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"_id": "<string>",
"account_id": "<string>",
"name": "<string>",
"history": {
"last_modified_at": "2023-11-07T05:31:56Z",
"revision": 0,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "unknown",
"last_modified_by": "unknown"
},
"description": "<string>",
"simulation_scenario_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Scenario sets
Update Scenario Set
Update a scenario set
PUT
/
v1
/
simulation
/
scenario-sets
/
{scenario_set_id}
Update Scenario Set
curl --request PUT \
--url https://api.eqho.ai/v1/simulation/scenario-sets/{scenario_set_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>' \
--data '
{
"name": "Flight Cancellation Tests",
"description": "Collection of test scenarios for flight cancellation workflows"
}
'import requests
url = "https://api.eqho.ai/v1/simulation/scenario-sets/{scenario_set_id}"
payload = {
"name": "Flight Cancellation Tests",
"description": "Collection of test scenarios for flight cancellation workflows"
}
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-API-KEY': '<api-key>',
'x-org-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Flight Cancellation Tests',
description: 'Collection of test scenarios for flight cancellation workflows'
})
};
fetch('https://api.eqho.ai/v1/simulation/scenario-sets/{scenario_set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/simulation/scenario-sets/{scenario_set_id}"
payload := strings.NewReader("{\n \"name\": \"Flight Cancellation Tests\",\n \"description\": \"Collection of test scenarios for flight cancellation workflows\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"_id": "<string>",
"account_id": "<string>",
"name": "<string>",
"history": {
"last_modified_at": "2023-11-07T05:31:56Z",
"revision": 0,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "unknown",
"last_modified_by": "unknown"
},
"description": "<string>",
"simulation_scenario_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeader & OrgImpersonationOAuth2PasswordBearer & OrgImpersonation
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
Required string length:
24Body
application/json
Response
Successful Response
A scenario set that groups simulation scenarios together
Account ID that owns this scenario set
Name of the scenario set
Show child attributes
Show child attributes
Description of the scenario set
Number of simulation scenarios in this set
Was this page helpful?